Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search
Interface PropertyProvider

public interface PropertyProvider

If a PropertyProvider is passed to `Search.createSearchQuery()`, the Search helper must not access any of the properties `supported by this PropertyProvider` directly (e.g. by using the Content helper) but instead use `getProperty()` on this provider to retrieve it.

Version:
  $Revision: 1.3 $

Method Summary
`NodeProperty` | `getProperty(java.lang.String resourceUri, java.lang.String propertyName, java.lang.String propertyNamespace)` If the property specified by `propertyNamespace` and `propertyName` is `supported by this PropertyProvider`, the NodeProperty of the resource located at the given `resourceUri` will be returned.
`java.util.Iterator` | `getSupportedProperties(java.lang.String resourceUri)` Returns an Iterator of all NodeProperties supported by this PropertyProvider.
`java.util.Iterator` | `getSupportedPropertiesNames(java.lang.String resourceUri)` Returns an Iterator of PropertyName of all properties supported by this PropertyProvider.
`boolean` | `isSupportedProperty(java.lang.String resourceUri, java.lang.String propertyName, java.lang.String propertyNamespace)` Returns `true` if this PropertyProvider can provide the NodeProperty specified by `propertyNamespace` and `propertyName` for the resource with the given `resourceUri`.

Method Detail

### isSupportedProperty

    public boolean isSupportedProperty(java.lang.String resourceUri,
                                       java.lang.String propertyName,
                                       java.lang.String propertyNamespace)
                                throws SlideException

  Returns `true` if this PropertyProvider can provide the NodeProperty specified by `propertyNamespace` and `propertyName` for the resource with the given `resourceUri`.

  Parameters:
    `resourceUri` - the URI of the resource.
    `propertyName` - the name of the property.
    `propertyNamespace` - the namespace of the property.
  Returns:
    `true` if this PropertyProvider can provide the NodeProperty.
  Throws:
    `SlideException`

### getSupportedPropertiesNames

    public java.util.Iterator getSupportedPropertiesNames(java.lang.String resourceUri)
                                                   throws SlideException

  Returns an Iterator of PropertyName of all properties supported by this PropertyProvider.

  Parameters:
    `resourceUri` - the URI of the resource for which to return the supported PropertyNames.
  Returns:
    an Iterator of PropertyName.
  Throws:
    `SlideException`

### getProperty

    public NodeProperty getProperty(java.lang.String resourceUri,
                                    java.lang.String propertyName,
                                    java.lang.String propertyNamespace)
                             throws SlideException

  If the property specified by `propertyNamespace` and `propertyName` is `supported by this PropertyProvider`, the NodeProperty of the resource located at the given `resourceUri` will be returned. Otherwise `null` is returned.

  Parameters:
    `resourceUri` - the URI of the resource for which to return the NodeProperty.
    `propertyName` - the name of the property to return.
    `propertyNamespace` - the namespace of the property to return.
  Returns:
    the requested NodeProperty if it is supported, otherwise `null`.
  Throws:
    `SlideException`

### getSupportedProperties

    public java.util.Iterator getSupportedProperties(java.lang.String resourceUri)
                                              throws SlideException

  Returns an Iterator of all NodeProperties supported by this PropertyProvider.

  Parameters:
    `resourceUri` - the URI of the resource for which to return the supported properties.
  Returns:
    all NodeProperties supported by this provider.
  Throws:
    `SlideException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD